Dialogs module - Defect #613

Web Client FIMD won't close if showQuestionDialog() is open
12/20/2012 03:05 AM - Adrian McGilly
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web Safari (Mac), Chrome (Win)

client):

Description

The following problem occurs in Safari 6.0.2 on Mac OSX 10.8.2 and Chrome "23.0.1271.97 m" on Windows:

Open a FIMD with a button on it that calls globals.DIALOGS.showQuestionDialog() - for instance one that asks if the user is sure
they want to save changes before closing the FIMD - and then calls application.closeForm()

When | test this, the questionDialog goes away but the FIMD stays open and blank and it says 'Error calling server' in the top right
corner. In the Server Log | get this:

org.apache.wicket.request.target.component.listener.BehaviorRequestTarget

behavior not enabled; ignoring call. behavior: com.servoy.j2db.server.headlessclient.MainPage$1@13
690b5 at index: 1 on component: [Page class = com.servoy.j2db.server.headlessclient.MainPage, id =
6, version = 0, ajax = 5]

To reproduce this easily in your demoDialog app you can just modify demoFIMD.onAction() as follows:

function onAction (event) {

if (event.getElementName () == 'btnClose') {
globals.DIALOGS.showQuestionDialog ('test', 'test', '"test', "test"') // ADD THIS LINE
application.closeForm() ;

} else {
forms.main.addToLog ("opening FIMD2...");
globals.DIALOGS.showFormInModalDialog ('DemoFImMp2', -1, -1, -1, -1, 'FIMD2');
forms.main.addToLog (".. and continuing again (FIMD2)");

History

#1 - 03/01/2013 12:09 PM - Robert Ivens

| did some more testing with the latest Servoy versions (5.2.16, 6.0.9) and | can reproduce it on 5.2.x. but not on 6.0.x.
However | can't see what goes wrong (in my code) so | filled a case with Servoy.
https://support.servoy.com/browse/SVY-4044

I suggest you (and others that are affected by this issue) add your vote to that ticket.

#2 - 03/01/2013 12:11 PM - Robert Ivens
- Status changed from New to Feedback

#3 - 03/01/2013 04:25 PM - Patrick Talbot

It looks a lot like https://support.servoy.com/browse/SVY-3798 that is afflicting 6.1.3 (and all the subsequent intermediate build up until 6.1.4rc1) and
is supposed to be fixed in the upcoming 6.1.4.

Only difference is that this other one was happening more often on Firefox.

| suppose yours reverse the trend! ;-)

#4 - 03/29/2013 01:02 PM - Robert Ivens
- Status changed from Feedback to Rejected

04/27/2025 1/2



https://support.servoy.com/browse/SVY-4044
https://support.servoy.com/browse/SVY-3798

Servoy came back with a resolution for ticket SVY-4044:

This is already fixed in Servoy 6.0
We cannot backport the fix to Servoy 5.2 because modal window functionality was completely rewritten in Servoy
6.0 (JSWindow implementation).

So it seems the only solution is to upgrade to 6.0 and up.
